Package org.eclipse.jdt.launching

# Interface IVMInstall3

All Known Implementing Classes:
  `AbstractVMInstall`, `VMStandin`

public interface IVMInstall3
Optional extensions that may be implemented by an `IVMInstall`, providing access to a JRE's system properties.

Clients that implement `IVMInstall` may additionally implement this interface. However, it is strongly recommended that clients subclass `AbstractVMInstall` instead, which already implements this interface, and will insulate clients from additional API additions in the future.

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`Map<String,String>`
`evaluateSystemProperties(String[] properties, org.eclipse.core.runtime.IProgressMonitor monitor)`
Evaluates the specified system properties in this VM, returning the result as a map of property names to property values.

## Method Details

### evaluateSystemProperties

Map<String,String> evaluateSystemProperties(String[] properties, org.eclipse.core.runtime.IProgressMonitor monitor) throws org.eclipse.core.runtime.CoreException
Evaluates the specified system properties in this VM, returning the result as a map of property names to property values.

Parameters:
  `properties` - the property names to evaluate, for example `{"user.home"}`
  `monitor` - progress monitor or `null`
Returns:
  map of system property names to associated property values
Throws:
  `org.eclipse.core.runtime.CoreException` - if an exception occurs evaluating the properties
Since:
  3.2